# Publications

## Citing ProxyStore

[![DOI](https://zenodo.org/badge/357984234.svg)](https://zenodo.org/badge/latestdoi/357984234)

If you use ProxyStore or any of this code in your work, please cite the following two papers.

* **[Accelerating Communications in Federated Applications with Transparent Object Proxies](https://dl.acm.org/doi/10.1145/3581784.3607047).**
  *The original ProxyStore paper. Introduces the core proxy model for distributed object management and the ProxyStore framework stack.*
  > J. Gregory Pauloski, Valerie Hayot-Sasson, Logan Ward, Nathaniel Hudson, Charlie Sabino, Matt Baughman, Kyle Chard, and Ian Foster. 2023. Accelerating Communications in Federated Applications with Transparent Object Proxies. In Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis (SC '23). Association for Computing Machinery, New York, NY, USA, Article 59, 1–15. https://doi.org/10.1145/3581784.3607047.
* **[Object Proxy Patterns for Accelerating Distributed Applications](https://ieeexplore.ieee.org/document/10776778).**
  *Extends ProxyStore with higher-level proxy-based patterns for distributed futures, streaming, and ownership.*
  > J. Gregory Pauloski, Valerie Hayot-Sasson, Logan Ward, Alexander Brace, André Bauer, Kyle Chard, Ian Foster, "Object Proxy Patterns for Accelerating Distributed Applications," in IEEE Transactions on Parallel and Distributed Systems, 2024. doi: 10.1109/TPDS.2024.3511347.

**BibTeX Citations**

```bib
@inproceedings{pauloski2023proxystore,
    title = {Accelerating {C}ommunications in {F}ederated {A}pplications with {T}ransparent {O}bject {P}roxies},
    author = {Pauloski, J. Gregory and Hayot-Sasson, Valerie and Ward, Logan and Hudson, Nathaniel and Sabino, Charlie and Baughman, Matt and Chard, Kyle and Foster, Ian},
    address = {New York, NY, USA},
    articleno = {59},
    booktitle = {Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis},
    doi = {10.1145/3581784.3607047},
    isbn = {9798400701092},
    location = {Denver, CO, USA},
    numpages = {15},
    publisher = {Association for Computing Machinery},
    series = {SC '23},
    url = {https://doi.org/10.1145/3581784.3607047},
    year = {2023},
}

@article{pauloski2024proxystore,
    title = {Object {P}roxy {P}atterns for {A}ccelerating {D}istributed {A}pplications},
    author = {Pauloski, J. Gregory and Hayot-Sasson, Valerie and Ward, Logan and Brace, Alexander and Bauer, André and Chard, Kyle and Foster, Ian},
    doi = {10.1109/TPDS.2024.3511347},
    journal = {IEEE Transactions on Parallel and Distributed Systems},
    pages = {1-13},
    year = {2024},
}
```

## Featured Papers

*If you use ProxyStore in your work and would like to be featured on this page, open an [issue](https://github.com/proxystore/proxystore/issues){target=_blank} or propose a [pull request](https://github.com/proxystore/proxystore/pulls){target=_blank} on GitHub.*

* J. Gregory Pauloski, Klaudiusz Rydzy, Valerie Hayot-Sasson, Ian Foster, and Kyle Chard. ["Accelerating Python Applications with Dask and ProxyStore."](https://arxiv.org/abs/2410.12092){target=_blank} *ArXiv Preprint*. Presented as a demo at the SC24 Workshop on High Performance Python for Science at Scale (HPPSS). 2024.
* Logan Ward, J. Gregory Pauloski, Valerie Hayot-Sasson, Yadu Babuji, Alexander Brace, Ryan Chard, Kyle Chard, Rajeev Thakur, and Ian Foster. ["Employing Artificial Intelligence to Steer Exascale Workflows with Colmena."](https://doi.org/10.1177/10943420241288242){target=_blank} *The International Journal of High Performance Computing Applications*. Sage, 2024.
* Nathaniel Hudson, Valerie Hayot-Sasson, Yadu Babuji, Matt Baughman, J. Gregory Pauloski, Ryan Chard, Ian Foster, and Kyle Chard. ["Flight: A FaaS-Based Framework for Complex and Hierarchical Federated Learning."](https://arxiv.org/abs/2409.16495){target=_blank} *ArXiv Preprint*. 2024.
* Zilinghan Li, Shilan He, Ze Yang, Minseok Ryu, Kibaek Kim, and Ravi Madduri. ["Advances in APPFL: A Comprehensive and Extensible Federated Learning Framework."](https://arxiv.org/abs/2409.11585){target=_blank} *ArXiv Preprint*. 2024.
* J. Gregory Pauloski, Valerie Hayot-Sasson, Maxime Gonthier, Nathaniel Hudson, Haochen Pan, Sicheng Zhou, Ian Foster, and Kyle Chard. ["TaPS: A Performance Evaluation Suite for Task-based Execution Frameworks."](https://ieeexplore.ieee.org/document/10678702){target=_blank} *20th IEEE International Conference on e-Science*. IEEE, 2024.
* Devaraj, Harish, Shaleeza Sohail, Boyang Li, Nathaniel Hudson, Matt Baughman, Kyle Chard, Ryan Chard, Enrico Casella, Ian Foster, and Omer Rana. ["RuralAI in Tomato Farming: Integrated Sensor System, Distributed Computing and Hierarchical Federated Learning for Crop Health Monitoring."](https://doi.org/10.1109/LSENS.2024.3384935){target=_blank} *IEEE Sensors Letters*. IEEE, 2024.
* Gautham Dharuman, Logan Ward, Heng Ma, Priyanka V. Setty, Ozan Gokdemir, Sam Foreman, Murali Emani, Kyle Hippe, Alexander Brace, Kristopher Keipert, Thomas Gibbs, Ian Foster, Anima Anandkumar, Venkatram Vishwanath, and Arvind Ramanathan. ["Protein Generation via Genome-scale Language Models with Bio-physical Scoring."](https://dl.acm.org/doi/abs/10.1145/3624062.3626087){target=_blank} *In Proceedings of the SC '23 Workshops of The International Conference on High Performance Computing, Network, Storage, and Analysis*. ACM, 2023.
* Alok Kamatar, Mansi Sakarvadia, Valerie Hayot-Sasson, Kyle Chard, and Ian Foster. ["Lazy Python Dependency Management in Large-Scale Systems."](https://ieeexplore.ieee.org/document/10254910){target=_blank} *In Proceedings of IEEE 19th International Conference on e-Science.* IEEE, 2023.
* Hassan Harb, Sarah N. Elliot, Logan Ward, Ian T. Foster, Stephen J. Klippenstein, Larry A. Curtiss, and Rajeev Surendran Assary. ["Uncovering novel liquid organic hydrogen carriers: a systematic exploration of chemical compound space using cheminformatics and quantum chemical methods."](https://doi.org/10.1039/D3DD00123G){target=_blank} *In Digital Discovery.* Royal Society of Chemistry, 2023.
* Nicholson Collier, Justin M. Wozniak, Abby Stevens, Yadu Babuji, Mickaël Binois, Arindam Fadikar, Alexandra Würth, Kyle Chard, and Jonathan Ozik. ["Developing Distributed High-performance Computing Capabilities of an Open Science Platform for Robust Epidemic Analysis."](https://doi.ieeecomputersociety.org/10.1109/IPDPSW59300.2023.00143){target=_blank} *International Parallel and Distributed Processing Symposium Workshops (IPDPSW).* IEEE, 2023.
* Logan Ward, J. Gregory Pauloski, Valerie Hayot-Sasson, Ryan Chard, Yadu Babuji, Ganesh Sivaraman, Sutanay Choudhury, Kyle Chard, Rajeev Thakur, and Ian Foster. ["Cloud Services Enable Efficient AI-Guided Simulation Workflows across Heterogeneous Resources."](https://ieeexplore.ieee.org/document/10196576){target=_blank} *In Proceedings of Heterogeneity in Computing Workshop of the International Parallel and Distributed Processing Symposium.* IEEE, 2023.
* Maxim Zvyagin et al. ["GenSLMs: Genome-scale language models reveal SARS-CoV-2 evolutionary dynamics."](https://journals.sagepub.com/doi/abs/10.1177/10943420231201154){target=_blank} *The International Journal of High Performance Computing Applications.* Sage, 2023.
* Logan Ward, Ganesh Sivaraman, J. Gregory Pauloski, Yadu Babuji, Ryan Chard, Naveen Dandu, Paul C. Redfern, Rajeev S. Assary, Kyle Chard, Larry A. Curtiss, Rajeev Thakur, and Ian Foster. ["Colmena: Scalable machine-learning-based steering of ensemble simulations for high performance computing."](https://ieeexplore.ieee.org/abstract/document/9653177){target=_blank} *In IEEE/ACM Workshop on Machine Learning in High Performance Computing Environments.* IEEE, 2021.

## Presentations

* [[Slides](https://gregpauloski.com/slides/pauloski-sc23-proxystore.pdf){target=_blank}] "Accelerating Communications in Federated Applications with Transparent Object Proxies" presented at [SC23](https://sc23.conference-program.com/presentation/?id=pap224&sess=sess181){target=_blank}. 2023.
* [[Poster](https://gregpauloski.com/posters/gcasr2023-proxystore.pdf){target=_blank}] "Accelerating Communications in Federated Applications with Transparent Object Proxies" presented at the [Greater Chicago Area Systems Research Workshop (GCASR)](https://gcasr.org/posters){target=_blank}. 2023.
